INTERFACE
SUBROUTINE WRITE_SPEC(cdfile, YD_SPEC, ldfirst, LDGRIB,PFACTOR,PEXPO)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE SPECTRAL_FIELDS_MOD, ONLY : SPECTRAL_FIELD
CHARACTER(LEN=*) ,INTENT(IN) :: CDFILE
TYPE(SPECTRAL_FIELD),INTENT(INOUT) :: YD_SPEC
LOGICAL ,INTENT(IN) :: LDFIRST
LOGICAL ,OPTIONAL ,INTENT(IN) :: LDGRIB
REAL(KIND=JPRB) ,OPTIONAL ,INTENT(IN) :: PFACTOR, PEXPO
END SUBROUTINE WRITE_SPEC
END INTERFACE
